package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterConsumptionPerCapita;
import com.lightinit.hsdatashow.entity.WaterConsumptionPerCapitaExample;
import java.util.List;

import com.lightinit.hsdatashow.entity.WaterSourceQualityAnalysis;
import org.apache.ibatis.annotations.Param;

public interface WaterConsumptionPerCapitaMapper {
    long countByExample(WaterConsumptionPerCapitaExample example);

    int deleteByExample(WaterConsumptionPerCapitaExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterConsumptionPerCapita record);

    int insertSelective(WaterConsumptionPerCapita record);

    List<WaterConsumptionPerCapita> selectByExample(WaterConsumptionPerCapitaExample example);

    WaterConsumptionPerCapita selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterConsumptionPerCapita record, @Param("example") WaterConsumptionPerCapitaExample example);

    int updateByExample(@Param("record") WaterConsumptionPerCapita record, @Param("example") WaterConsumptionPerCapitaExample example);

    int updateByPrimaryKeySelective(WaterConsumptionPerCapita record);

    int updateByPrimaryKey(WaterConsumptionPerCapita record);

    List<WaterConsumptionPerCapita> getWaterConsumptionPerCapita(int year);
}